> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Count graph records

> Count the project's graph nodes and edges by type.

**Operation ID:** `http.graph.counts`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/graph/counts
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/graph/counts
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/graph/counts:
    get:
      tags:
        - Graph
      summary: Count graph records
      description: >-
        Count the project's graph nodes and edges by type.


        Product guidance: [Entity](/concepts/entity),
        [Relationship](/concepts/relationship).
      operationId: http.graph.counts
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_graph_counts_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_graph_counts_response:
      type: object
      properties:
        data:
          type: object
          properties:
            nodes:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                  count:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                required:
                  - type
                  - count
                additionalProperties: false
            edges:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                  count:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                required:
                  - type
                  - count
                additionalProperties: false
            totals:
              type: object
              properties:
                nodes:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                edges:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
              required:
                - nodes
                - edges
              additionalProperties: false
            as_of:
              type: string
          required:
            - nodes
            - edges
            - totals
            - as_of
          additionalProperties: false
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.